> ## Documentation Index
> Fetch the complete documentation index at: https://mezmo-9a59581a-promptless-aura-wait-for-tool.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Update threshold alert

> Replace an existing usage alert with this one



## OpenAPI

````yaml /pipeline.yaml put /pipeline/{pipeline_id}/usage-threshold-alert/{usage_threshold_alert_id}
openapi: 3.1.0
info:
  title: Pipeline API
  description: API for the Pipeline product
  version: 3.345.5
servers:
  - url: https://api.mezmo.com/v3
security:
  - PipelineServiceKey: []
tags:
  - name: Internal
    description: Routes not accessible by outside users
  - name: Experimental
    description: Experimental routes, not intended for public consumption
  - name: Account
    description: Perform account level actions
  - name: Alerting
    description: API to control alerts on pipelines
  - name: Data Classification & Profiling
    description: API for classifying and profiling data
  - name: Edge - Local Deploy
    description: User routes that are available to use with local Edge instances
  - name: Incident Mode
    description: Change or read state of pipeline (incident mode on/off)
  - name: Log Volume Reduction
    description: CRUD operations for log volume reduction
  - name: Metrics
    description: Usage metrics for pipelines
  - name: Pipeline Export
    description: Export pipeline to terraform
  - name: Pipeline Management
    description: CRUD Operations for pipeline
  - name: Pipeline Nodes
    description: CRUD operations for sources, processors, and destinations
  - name: Processor Groups
    description: CRUD operations for Processor Groups
  - name: Shared Sources
    description: Create and manage sources for use across multiple pipelines
  - name: Sampling and Simulation
    description: >-
      Create samples of data and run them through a simulated pipeline without
      affecting your published pipeline
externalDocs:
  url: https://docs.mezmo.com/pipeline-api
paths:
  /pipeline/{pipeline_id}/usage-threshold-alert/{usage_threshold_alert_id}:
    put:
      tags:
        - Alerting
      summary: Update threshold alert
      description: Replace an existing usage alert with this one
      parameters:
        - schema:
            type: string
            format: uuid
          in: path
          name: pipeline_id
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              additionalProperties: false
              allOf:
                - if:
                    allOf:
                      - type: object
                        properties:
                          no_data:
                            not:
                              enum:
                                - true
                      - type: object
                        properties:
                          percent_decrease:
                            anyOf:
                              - enum:
                                  - 0
                              - type: 'null'
                      - type: object
                        properties:
                          percent_increase:
                            anyOf:
                              - enum:
                                  - 0
                              - type: 'null'
                  then:
                    properties:
                      threshold_bytes:
                        type: number
                        minimum: 1
                        errorMessage:
                          minimum: must be greater than or equal to 1
                    required:
                      - threshold_bytes
                - if:
                    allOf:
                      - type: object
                        properties:
                          no_data:
                            not:
                              enum:
                                - true
                      - type: object
                        properties:
                          percent_increase:
                            anyOf:
                              - enum:
                                  - 0
                              - type: 'null'
                      - type: object
                        properties:
                          threshold_bytes:
                            anyOf:
                              - enum:
                                  - 0
                              - type: 'null'
                  then:
                    properties:
                      percent_decrease:
                        type: number
                        minimum: 1
                        errorMessage:
                          minimum: must be greater than or equal to 1
                    required:
                      - percent_decrease
                - if:
                    allOf:
                      - type: object
                        properties:
                          no_data:
                            not:
                              enum:
                                - true
                      - type: object
                        properties:
                          percent_decrease:
                            anyOf:
                              - enum:
                                  - 0
                              - type: 'null'
                      - type: object
                        properties:
                          threshold_bytes:
                            anyOf:
                              - enum:
                                  - 0
                              - type: 'null'
                  then:
                    properties:
                      percent_increase:
                        type: number
                        minimum: 1
                        errorMessage:
                          minimum: must be greater than or equal to 1
                    required:
                      - percent_increase
              properties:
                data_window:
                  type: object
                  additionalProperties: false
                  title: Data period options
                  properties:
                    value: 4cbea62d-0f60-4986-86c1-e3aa5d7d6e94
                    unit: 52bc46c2-e35f-4938-a75f-fa4f42a08cf1
                  if:
                    properties:
                      unit:
                        title: Data period unit
                        enum:
                          - minute
                    required:
                      - unit
                  then:
                    properties:
                      value:
                        type: number
                        title: Data period value
                        minimum: 5
                    required:
                      - value
                  required:
                    - value
                    - unit
                max_daily_notifications: a6d47fa8-414c-41cf-8078-d1be9a73f4d1
                no_data:
                  type: boolean
                percent_decrease: e6ef3435-1f19-4fc4-9c9e-412b4da0c147
                percent_increase: 66f9c670-4a45-41e0-b605-d0695fb7d0ab
                threshold_bytes: 7b18a12b-1f6e-4332-ae4e-131eed52a766
                title: e8dfa964-95c6-4cbf-b6a4-79cd72b64289
                traffic_type: 3e8fe0c3-6815-4c1d-856a-91f7cec4fbc8
                alert_channels: 13e69f1f-5b6e-4568-8d90-77a399c26c3e
              required:
                - traffic_type
                - alert_channels
        required: true
      responses:
        '200':
          description: Default Response
components:
  securitySchemes:
    PipelineServiceKey:
      type: apiKey
      name: Authorization
      in: header
      description: 'Enter your token in the format: Token mytokengoeshere'

````